"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.propTypes = exports.defaultProps = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

var _grid = require("@bootstrap-styled/css-mixins/lib/grid");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultProps = {
  theme: {
    '$grid-gutter-width': '30px',
    '$enable-grid-classes': true
  }
};
exports.defaultProps = defaultProps;
var propTypes = {
  /** Theme variables. Can be: */
  theme: _propTypes.default.shape({
    '$grid-gutter-width': _propTypes.default.string,
    '$enable-grid-classes': _propTypes.default.bool
  })
};
/**
 * `<Fieldset />` component is used to group related elements in a form.
 */

exports.propTypes = propTypes;

var Fieldset = _styledComponents.default.fieldset.withConfig({
  displayName: "Fieldset",
  componentId: "sc-7vwzmh-0"
})(["", ""], function (props) {
  return "\n    min-width: 0;\n    padding: 0;\n    margin: 0;\n    border: 0;\n\n    & .row {\n      ".concat((0, _grid.makeRow)(props.theme['$enable-grid-classes'], props.theme['$grid-gutter-width']), "\n    }\n\n  ");
});

Fieldset.defaultProps = defaultProps;
Fieldset.propTypes = propTypes;
/** @component */

var _default = Fieldset;
exports.default = _default;